---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: celery
  namespace: flows
spec:
  values:
    services:
      celery:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/flows-backend_worker:production_a5d748f0

        envs:
          - name: LOG_LEVEL
            value:
              _default: "DEBUG"

          - name: BASE_HOST
            value:
              _default: "https://sarex.dsinv.ru"

          - name: CELERY_QUEUE
            value:
              _default: "flow"

          - name: EAV_HOST
            value:
              _default: "http://backend-svc.eav.svc.cluster.local:80"

          - name: DJANGO_HOST
            value:
              _default: "http://backend.django.svc.cluster.local:8000/api"

          - name: PLANNING_HOST
            value:
              _default: "http://backend-service.pm.svc.cluster.local:8000/api/pm/msp"

          - name: PLANNING_USE
            value:
              _default: "True"

          - name: DOCUMENTATION_HOST
            value:
              _default: "http://documentations-service.documentations.svc.cluster.local:8080/internal/v1"

          - name: DOCUMENTATION_EXTERNAL_HOST
            value:
              _default: "http://backend-api-svc.documentations.svc.cluster.local:80/api/v1"

          - name: ENABLE_ANALYTICS
            value:
              _default: "1"

          - name: ENABLE_CELERY
            value:
              _default: "1"

          - name: ENABLE_MAILGUN
            value:
              _default: "0"

          - name: ENABLE_METRICS
            value:
              _default: "0"

          - name: FROM_EMAIL
            value:
              _default: "sarex@dsinv.ru"

          - name: GATEWAY_URL
            value:
              _default: "http://pdm-api.documentations.svc.cluster.local:8080/api/v1"

          - name: RESOURCE_URL
            value:
              _default: "http://resources-service.resources/api/v1"

          - name: SERVICE_HOST
            value:
              _default: "https://sarex.dsinv.ru/flows/api/v1"

          - name: SMTP_HOST
            value:
              _default: "relay.dsinv.ru"

          - name: CHECKLIST_HOST
            value:
              _default: "http://checklists-backend-service.checklists.svc.cluster.local:80"

          - name: SMTP_PORT
            value:
              _default: "25"

          - name: SYNC_RESOURCE_ID
            value:
              _default: "1"

          - name: TIMEOUT
            value:
              _default: "120"

          - name: WORKFLOWS_HOST
            value:
              _default: "http://workflows-service.workflow.svc.cluster.local:8000/api/v1"

          - name: WORKFLOWS_TIMEOUT
            value:
              _default: "60"

          - name: DOCUMENTATION_TIMEOUT
            value:
              _default: "60"

          - name: WORKFLOWS_NOTIFICATIONS_FROM_EMAIL
            value:
              _default: "sarex@dsinv.ru"

          - name: MAILGUN_HOST
            value:
              _default: "http:localhost:8000"

          - name: MAILGUN_API_KEY
            value:
              _default: "empty"

          - name: NOTIFICATION_SETTINGS_USE_MAILGUN
            value:
              _default: "0"

          - name: FLOWS_HOST
            value:
              _default: "http://backend-service.flows.svc.cluster.local:8000"

          - name: WORKFLOWS_NOTIFICATIONS_REGISTRY
            value:
              _default: "cr.yandex/crp3ccidau046kdj8g9q"

          - name: WORKFLOWS_NOTIFICATIONS_SMTP_HOST
            value:
              _default: "relay.dsinv.ru"

          - name: WORKFLOWS_NOTIFICATIONS_SMTP_PORT
            value:
              _default: "25"

          - name: WORKFLOWS_NOTIFICATIONS_FROM_EMAI
            value:
              _default: "sarex@dsinv.ru"

          - name: FLOWS_DB_HOST
            value:
              _default: "postgres-service.flows.svc.cluster.local"

          - name: ISSUES_DB_HOST
            value:
              _default: "postgres-service.issues.svc.cluster.local"

          - name: DEBUG
            value:
              _default: "0"

          - name: PG_PORT
            value:
              _default: "5432"

          - name: FLOWS_DB_PORT
            value:
              _default: "5432"

          - name: ISSUES_DB_PORT
            value:
              _default: "5432"

          - name: DJANGO_BASE_HOST
            value:
              _default: "https://sarex.dsinv.ru"

          - name: RESOURCES_HOST
            value:
              _default: "http://resources-service.resources.svc.cluster.local:8000/"

          - name: RABBITMQ_HOST
            value:
              _default: "rabbitmq-service.flows.svc"

          - name: RABBITMQ_PORT
            value:
              _default: "5672"

          - name: RABBITMQ_VHOST
            value:
              _default: "flow"

          - name: PG_HOST
            value:
              _default: "postgres-service.flows.svc.cluster.local"
